# $Revision: 1.348.2.1 $, $Date: 2007/04/03 20:36:05 $
# TODO:
# - look into other distro specs for valid %descriptions for samba 3
#
# Conditional build:
%bcond_without	ads		# without ActiveDirectory support
%bcond_without	cups		# without CUPS support
%bcond_without	krb5		# without Kerberos5/Heimdal support
%bcond_without	ldap		# without LDAP support
%bcond_without	python		# without python libs/utils

# ADS requires krb5 and LDAP
%if !%{with krb5} || !%{with ldap}
%undefine	with_ads
%endif
%define		vscan_version 0.3.6b
Summary:	SMB server
Summary(cs):	Server SMB
Summary(da):	SMB server
Summary(de):	SMB-Server
Summary(es):	El servidor SMB
Summary(fi):	SMB-palvelin
Summary(fr):	Serveur SMB
Summary(it):	Server SMB
Summary(ja):	Samba SMB С
Summary(ko):	 SMB 
Summary(pl):	Serwer SMB
Summary(pt_BR):	Cliente e servidor SMB
Summary(ru):	SMB   
Summary(tr):	SMB sunucusu
Summary(uk):	SMB ̦  
Summary(zh_CN):	Samba ͻ˺ͷ
Name:		samba
Version:	3.0.24
Release:	1
Epoch:		1
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://us1.samba.org/samba/ftp/%{name}-%{version}.tar.gz
# Source0-md5:	89273f67a6d8067cbbecefaa13747153
Source1:	smb.init
Source2:	%{name}.pamd
Source3:	swat.inetd
Source4:	%{name}.sysconfig
Source5:	%{name}.logrotate
Source6:	smb.conf
Source7:	http://dl.sourceforge.net/openantivirus/%{name}-vscan-%{vscan_version}.tar.bz2
# Source7-md5:	900502ba36b80620229b94e5129bc856
Source8:	winbind.init
Source9:	winbind.sysconfig
Patch0:		%{name}-lib64.patch
Patch1:		%{name}-FHS.patch
Patch2:		%{name}-c++-nofail.patch
Patch3:		%{name}-pthread.patch
Patch4:		%{name}-libsmbclient-libnscd_link.patch
URL:		http://www.samba.org/
BuildRequires:	acl-devel
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_cups:BuildRequires:	cups-devel >= 1:1.2.0}
BuildRequires:	dmapi-devel
%{?with_krb5:BuildRequires:	heimdal-devel >= 0.7}
BuildRequires:	iconv
BuildRequires:	libnscd-devel
BuildRequires:	libmagic-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	ncurses-devel >= 5.2
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel > 0.66
BuildRequires:	popt-devel
%{?with_pgsql:BuildRequires:	postgresql-devel}
%if %{with python}
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
%endif
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpmbuild(macros) >= 1.304
BuildRequires:	xfsprogs-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	logrotate
Requires:	pam >= 0.66
Requires:	rc-scripts
Requires:	setup >= 2.4.6-7
# smbd links with libcups
%{?with_cups:Requires:	cups-lib >= 1:1.2.0}
Obsoletes:	samba-pdb-xml
Obsoletes:	samba-vfs-block
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vfsdir		%{_libdir}/%{name}/vfs
%define		_sambahome	/home/services/samba
%if %{with cups}
%define		cups_serverbin	%{_prefix}/lib/cups
%endif
%define		schemadir	/usr/share/openldap/schema

# CFLAGS modified (the second ./configure)
%undefine	configure_cache

%description
Samba provides an SMB server which can be used to provide network
services to SMB (sometimes called "Lan Manager") clients, including
various versions of MS Windows, OS/2, and other Linux machines. Samba
also provides some SMB clients, which complement the built-in SMB
filesystem in Linux. Samba uses NetBIOS over TCP/IP (NetBT) protocols
and does NOT need NetBEUI (Microsoft Raw NetBIOS frame) protocol.

This release is known as the "Locking Update" and has full support for
Opportunistic File Locking. In addition this update includes native
support for Microsoft encrypted passwords, improved browse list and
WINS database management.

Please refer to the WHATSNEW.txt document for fixup information. This
binary release includes encrypted password support. Please read the
smb.conf file for implementation details.

%description -l cs
Samba poskytuje server SMB, kter lze pout pro poskytovn sovch
slueb klientm SMB (nkdy nazvanch klienti "LAN manaer") vetn
klient rznch verz MS Windows, OS/2 a dalch linuxovch stroj.
Samba t poskytuje nkter klienty SMB, kte komplementuj vestavn
souborov systm SMB v Linuxu. Samba pouv protokoly NetBIOS pes
TCP/IP (NetBT) a NEpotebuje protokol NetBEUI (neformtovan rmec
NetBIOS od spolenosti Microsoft.

%description -l da
Samba tilbyder en SMB server som kan bruges til at tilbyde netvrk
services til SMB (ogs kaldet "Lan Manager") klienter, incl.
forskellige versioner af MS Windows, OS/2, og andre Linux maskiner.
Samba tilbyder ogs SMB klienter, som udbygger det indbyggede SMB
filsystem i Linux. Samba benytter NetBIOS over TCP/IP (NetBT)
protocolen og krver ikke NetBEUI (Microsoft Raw NetBIOS frame)
protokollen.

%description -l de
Samba stellt einen SMB-Server zum Anbieten von Netzwerkdiensten fr
SMB-Clients (auch "Lan Manager" genannt) zur Verfgung, darunter
verschiedenen Versionen von MS Windows-, OS/2- und anderen
Linux-Rechnern. Samba enthlt auerdem einige SMB-Clients, die das in
Linux integrierte SMB-Dateisystem ergnzen. Samba benutzt
NetBIOS-ber-TCP/IP (NetBT)-Protokolle und bentigt KEIN NetBEUI
(Microsoft Raw NetBIOS frame)-Protokoll.

%description -l es
Samba provee un servidor SMB que se puede usar para ofrecer servicios
de red a clientes SMB (algunas veces se le llama de "Lan Manager"),
incluyendo varias versiones de MS Windows, OS/2, y otras mquinas
Linux. Samba tambin ofrece algunos clientes SMB, que complementan el
sistema de archivos SMB de Linux. Samba usa el protocolo NetBIOS sobre
TCP/IP (NetBT) y no necesita del protocolo NetBEUI (Microsoft Raw
NetBIOS frame).

%description -l fi
Samba on SMB-palvelin, jota voidaan kytt SMB-asiakasohjelmien
verkkopalvelujen tarjoajana. SMB-protokollaa kutsutaan joskus "Lan
Manager" protokollaksi ja asiakasohjelmat toimivat dosissa,
Windowseissa, OS/2:ssa ja toisissa Linux-koneissa. Samban mukana on
mys joitakin SMB-asiakasohjelmia, jotka tydentvt Linuxin
kerneliss olevaa SMB-tiedostojrjestelmn tukea. Samba vaatii NetBIOS
over TCP/IP (NetBT) protokollaa eik tarvitse tai pysty kyttmn
NetBEUI-protokollaa.

%description -l it
Samba fornisce un server SMB che puo` essere usato per fornire servizi
di rete ai client SMB, incluse le versioni MS Windows, OS/2 e per
altre macchine Linux. Samba fornisce anche i client SMB. Samba usa
NetBIOS sopra TCP/IP e non ha bisogno del protocollo NetBEUI.

%description -l ja
Samba  MS Windows ͡ʥСOS/2 ¾ Linux ޥ
ޤ SMB (ޤ "Lan Manager" ȸƤФ)
饤Ȥ˥ͥåȥ ӥ󶡤뤿˻Ѥ SMB
Ф󶡤ޤSamba  NetBIOS over TCP/IP (NetBT)
ץȥѤ NetBEUI(Microsoft Raw NetBIOS frame)
ץȥɬפޤ

Samba ۤȤư NT ɥᥤ󥳥ȥεǽħȤ
ʥ֥饦Ȥä samba  smb.conf ե⡼ȴ
 SWAT (Samba Web Administration Tool) ޤߤޤ
ܲΤȤ inetd ̤ TCP ݡ 901 ͭˤʤޤ

%description -l ko
ٴ MS Windows, OS/2, Ȥ ٸ  ӽ ϴ SMB(Ȥ
"Lan Manager" Ҹ) Ŭ̾Ʈ Ʈũ    
ִ SMB  Ѵ. ٴ TCP/IP   NetBIOS
ϰ NetBEUI (Microsoft Raw NetBIOS )  ʿ
ʴ.

-2.2  Ư¡ NT  Ʈ  ۾ ϰ, ο
SWAT(Samba Web Administration Tool)  Ͽ 
 smb.conf  ϵ Ѵ. ̷  inetd  
TCP 901 Ʈ ϰ ȴ.

ֱ  WHATSNEW.txt   ϵ Ѵ. ̳ʸ
 ȣȭ н带 Ѵ.

%description -l pl
Samba udostpnia serwer SMB, ktry moe by uyty w celu dostarczenia
usug sieciowych (potocznie zwanych "Lan Manager"), dla klientw
takich jak MS Windows, OS/2 a take maszyn linuksowych. W pakiecie
znajduje si rwnie oprogramowanie klienckie. Samba uywa protokou
NetBIOS po TCP/IP (NetBT) i nie wymaga protokou NetBEUI. Ta wersja ma
pene wsparcie dla blokowania plikw, a take wsparcie dla kodowania
hase w standardzie MS i zarzdzania baz WINS.

%description -l pt_BR
O Samba prov um servidor SMB que pode ser usado para oferecer
servios de rede a clientes SMB (algumas vezes chamado de "Lan
Manager"), incluindo vrias verses de MS Windows, OS/2, e outras
mquinas Linux. O Samba tambm fornece alguns clientes SMB, que
complementam o sistema de arquivos SMB do Linux. O Samba usa o
protocolo NetBIOS sobre TCP/IP (NetBT) e no necessita do protocolo
NetBEUI (Microsoft Raw NetBIOS frame).

O Samba inclui a maioria das caractersticas de um servidor de
Controle de Domnios NT e o SWAT (Samba Web Administration Tool), que
permite que o arquivo smb.conf seja gerenciado remotamente atravs de
um navegador. Atualmente isto est sendo habilitado na porta TCP 901
via inetd.

%description -l ru
Samba  SMB-,     
   SMB (  "Lan Manager")
,    MS Windows, OS/2,  
Linux-. Samba   SMB-,  
   Linux   SMB.

Samba   NetBIOS over TCP/IP (NetBT)    
 NetBEUI (Microsoft Raw NetBIOS frame).

Samba     NT Domain Control 
  SWAT (Samba Web Administration Tool),  
    smb.conf   
 WEB-.      inetd  TCP-
901.

%description -l uk
Samba  SMB-,      
 צӦ SMB (  Ħ  "Lan Manager") ̦,
 ҦΦΦ Ӧ MS Windows, OS/2,  ۦ Linux-.
Samba   SMB-̦Ԧ,      Linux
  SMB.

Samba դ  NetBIOS over TCP/IP (NetBT)   դ
 NetBEUI (Microsoft Raw NetBIOS frame).

Samba ͦ   æ NT Domain Control  
SWAT (Samba Web Administration Tool),  Ѥ צ
 Ʀæ  smb.conf   
 WEB-.   צ   inetd 
TCP- 901.

%package swat
Summary:	Samba Web Administration Tool
Summary(es):	Samba SWAT and Web documentation
Summary(pl):	Narzdzie administracyjne serwisu Samba
Summary(pt_BR):	Samba SWAT e documentao Web
Summary(ru):	  SMB- Samba
Summary(uk):	 æ SMB- Samba
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	inetdaemon
Requires:	rc-inetd >= 0.8.2
Obsoletes:	swat

%description swat
swat allows a Samba administrator to configure the complex smb.conf
file via a Web browser. In addition, a swat configuration page has
help links to all the configurable options in the smb.conf file
allowing an administrator to easily look up the effects of any change.

%description swat -l pl
swat pozwala na kompleksow konfiguracj smb.conf przy pomocy
przegldarki WWW.

%description swat -l pt_BR
SWAT - ferramentada Web de configurao do Samba.

%description swat -l ru
 samba-swat   SWAT (Samba Web Administration Tool),
    smb.conf   
 Web-.

%description swat -l uk
 samba-swat ͦ  SWAT (Samba Web Administration Tool),
 æ ͦΦ  smb.conf   
 Web-.

%package client
Summary:	Samba client programs
Summary(es):	Cliente SMB de Samba
Summary(ja):	Samba (SMB) 饤ȥץ
Summary(pl):	Klienci serwera Samba
Summary(pt_BR):	Cliente SMB do samba
Summary(ru):	  Samba (SMB)
Summary(uk):	̦˦  Samba (SMB)
Group:		Applications/Networking
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
%{?with_krb5:Requires:	heimdal-libs >= 0.7}
Obsoletes:	mount-cifs
Obsoletes:	smbfs

%description client
Samba-client provides some SMB clients, which complement the build-in
SMB filesystem in Linux. These allow accessing of SMB shares and
printing to SMB printers.

%description client -l pt_BR
O pacote samba-clientes prove alguns clientes SMB, que complementam o
sistema de arquivos SMB do Linux. Eles permitem o acesso a shares SMB,
e tambm,  impressoras SMB.

%description client -l es
Cliente SMB de Samba.

%description client -l ja
Samba-client  Linux ˴ޤޤƤ SMB ե륷ƥ䤦 SMB
饤Ȥ󶡤ޤ SMB ͭΥ SMB
ץ󥿤ؤΰĤޤ

%description client -l pl
Samba-client dostarcza programy uzupeniajce obsug systemu plikw
SMB zawart w jdrze. Pozwalaj one na wspdzielenie zasobw SMB i
drukowanie w sieci SMB.

%description client -l pt_BR
O pacote samba-clientes prove alguns clientes SMB, que complementam o
sistema de arquivos SMB do Linux. Eles permitem o acesso a shares SMB,
e tambm,  impressoras SMB.

%description client -l ru
 samba-client    SMB   
   SMB  Linux.   
     SMB    SMB-.

%description client -l uk
 samba-client  ˦ ̦ SMB   ڦ 
  SMB  Linux.  ̦   
 Ǧ Ц  SMB    SMB-Ҧ.

%package common
Summary:	Files used by both Samba servers and clients
Summary(es):	Common files between samba and samba-clients
Summary(ja):	Samba Сȥ饤ȤǻѤץ
Summary(pl):	Pliki uywane przez serwer i klientw Samba
Summary(pt_BR):	Arquivos em comum entre samba e samba-clients
Summary(ru):	,   ,    Samba
Summary(uk):	,    ,   ̦ Samba
Group:		Networking/Daemons

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%description common -l ja
Samba-common  Samba ΥФȥ饤ȤξΥѥå
Ѥե󶡤ޤ

%description common -l pl
Samba-common dostarcza pliki niezbdne zarwno dla serwera jak i
klientw Samba.

%description common -l pt_BR
Arquivos em comum entre os pacotes samba e samba-clients.

%description common -l ru
Samba-common  ,     ,  
 Samba.

%description common -l uk
Samba-common ͦ , ȦΦ    ̦,  
 Samba.

%package winbind
Summary:	Samba-winbind daemon, utilities and documentation
Summary(pl):	Demon samba-winbind, narzdzia i dokumentacja
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{epoch}:%{version}-%{release}

%description winbind
Provides the winbind daemon and testing tools to allow authentication
and group/user enumeration from a Windows or Samba domain controller.

%description winbind -l pl
Pakiet zawiera demona winbind oraz narzdzia testowe. Umoliwia
uwierzytelnianie i wyliczanie grup/uytkownikw z kontrolera domeny
Windows lub Samba.

%package -n nss_wins
Summary:	Name Service Switch service for WINS
Summary(pl):	Usuga Name Service Switch dla WINS
Group:		Base
Requires:	%{name}-common = %{epoch}:%{version}-%{release}

%description -n nss_wins
Provides the libnss_wins shared library which resolves NetBIOS names
to IP addresses.

%description -n nss_wins -l pl
Biblioteka dzielona libnss_wins rozwizujca nazwy NetBIOS na adresy
IP.

%package -n pam-pam_smbpass
Summary:	PAM Samba Password Module
Summary(pl):	Modu PAM smbpass
Group:		Base
Obsoletes:	pam_smbpass

%description -n pam-pam_smbpass
PAM module which can be used on conforming systems to keep the
smbpasswd (Samba password) database in sync with the unix password
file.

%description -n pam-pam_smbpass -l pl
Modu PAM, ktry moe by uywany do trzymania pliku smbpasswd (hasa
Samby) zsynchronizowanego z hasami uniksowymi.

%package -n libsmbclient
Summary:	libsmbclient - samba client library
Summary(pl):	libsmbclient - biblioteka klienta samby
Group:		Libraries

%description -n libsmbclient
libsmbclient - library that allows to use samba clients functions.

%description -n libsmbclient -l pl
libsmbclient - biblioteka pozwalajca korzysta z funcji klienta
samby.

%package -n libsmbclient-devel
Summary:	libsmbclient - samba client library
Summary(pl):	libsmbclient - biblioteka klienta samby
Summary(pt_BR):	Ferramentas de desenvolvimento para clientes samba
Group:		Development/Libraries
Requires:	libsmbclient = %{epoch}:%{version}-%{release}

%description -n libsmbclient-devel
Header files for libsmbclient.

%description -n libsmbclient-devel -l pl
Pliki nagwkowe dla libsmbclient.

%description -n libsmbclient-devel -l pt_BR
Arquivos de incluso, bibliotecas e documentao necessrios para
desenvolver aplicativos clientes para o samba.

%package -n libsmbclient-static
Summary:	Static version of libsmbclient - samba client library
Summary(pl):	Statyczna wersja libsmbclient - biblioteki klienta samby
Summary(pt_BR):	Ferramentas de desenvolvimento para clientes samba
Group:		Development/Libraries
Requires:	libsmbclient = %{epoch}:%{version}-%{release}

%description -n libsmbclient-static
Static libsmbclient library.

%description -n libsmbclient-static -l pl
Statyczna biblioteka libsmbclient.

%package devel
Summary:	Header files for Samba
Summary(pl):	Pliki nagwkowe Samby
Group:		Development/Libraries

%description devel
Header files for Samba.

%description devel -l pl
Pliki nagwkowe Samby.

%package -n smbget
Summary:	A utility for retrieving files using the SMB protocol
Summary(pl):	Narzdzie do pobierania plikw protokoem SMB
Group:		Applications/Networking

%description -n smbget
wget-like utility for download files over SMB.

%description -n smbget -l pl
Narzdzie podobne do wgeta do pobierania plikw protokoem SMB
uywanym w sieciach MS Windows.

%package -n cups-backend-smb
Summary:	CUPS backend for printing to SMB printers
Summary(pl):	Backend CUPS-a drukujcy na drukarkach SMB
Group:		Applications/Printing
Requires:	%{name}-client = %{epoch}:%{version}-%{release}
Requires:	cups >= 1:1.2.0

%description -n cups-backend-smb
CUPS backend for printing to SMB printers.

%description -n cups-backend-smb -l pl
Backend CUPS-a drukujcy na drukarkach SMB.

%package -n python-samba
Summary:	Samba python tools and libraries
Summary(pl):	Narzdzia i biblioteki pythona do samby
Group:		Applications/Networking
%pyrequires_eq	python-libs

%description -n python-samba
Samba python tools and libraries.

%description -n python-samba -l pl
Narzdzia i biblioteki pythona do samby.

%package vfs-audit
Summary:	VFS module to audit file access
Summary(pl):	Modu VFS do monitorowania operacji na plikach
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-audit
A simple module to audit file access to the syslog facility. The
following operations are logged:
 - share connect/disconnect,
 - directory opens/create/remove,
 - file open/close/rename/unlink/chmod.

%description vfs-audit -l pl
Proste moduy do monitorowania dostpu do plikw na serwerze samba do
do sysloga. Monitorowane s nastpujce operacje:
 - podczenie do/odczenie od zasobu,
 - otwarcie/utworzenie/zmiana nazwy katalogu,
 - otwarcie/zamknicie/zmiana nazwy/skasowanie/zmiana praw plikw.
Zawiera moduy audit, extd_audit i full_audit.

%package vfs-cap
Summary:	VFS module for CAP and samba compatibility
Summary(pl):	Modu VFS zgodnoci z CAP (Columbia AppleTalk Program)
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-cap
Convert an incoming Shift-JIS character to the 3 byte hex
representation used by the Columbia AppleTalk Program (CAP), i.e. :AB.
This is used for compatibility between Samba and CAP.

%description vfs-cap -l pl
Zamienia znaki kodowane Shift-JIS do trzybajowej szestnastkowej
reprezentacji uywanej przez program Columbia AppleTalk Program (CAP).

%package vfs-default_quota
Summary:	VFS module to store default quotas in a specified quota record
Summary(pl):	Modu VFS do zapisywania domylnych limitw w okrelonym rekordzie
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-default_quota
This VFS modules stores default quotas in a specified quota record.

%description vfs-default_quota -l pl
Ten modu VFS zapisuje domylne limity (quoty) w okrelonym rekordzie
limitw.

%package vfs-expand_msdfs
Summary:	VFS module for hosting a Microsoft Distributed File System Tree
Summary(pl):	Modu VFS obsugi Microsoft Distributed File System
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-expand_msdfs
A VFS module for hosting a Microsoft Distributed File System Tree.

The Distributed File System (DFS) provides a means of separating the
logical view of files and directories that users see from the actual
physical locations of these resources on the network. It allows for
higher availability, smoother storage expansion, load balancing, and
so on.

%description vfs-expand_msdfs -l pl
Modu VFS do udostpniania drzewa systemu plikw Microsoft Distributed
File System.

Distributed File System (DFS) umoliwia rozdzielanie logicznego widoku
plikw i katalogw widocznych przez uytkownikw z fizycznego
umiejscowienia tych zasobw w sieci. Pozwala to na wysz dostpno,
pynniejsze powikszanie przestrzeni, rozdzielanie obcienia itp.

%package vfs-fake_perms
Summary:	VFS module to report read-only fires as writable
Summary(pl):	Modu VFS udajcy, e pliki tylko do odczytu s zapisywalne
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-fake_perms
This module allow Roaming Profile files and directories to be set (on
the Samba server under UNIX) as read only. This module will, if
installed on the Profiles share, report to the client that the Profile
files and directories are writeable. This satisfies the client even
though the files will never be overwritten as the client logs out or
shuts down.

%description vfs-fake_perms -l pl
Ten modu pozwala na ustawienie plikw i katalogw z wdrujcych
profili (Roaming Profiles) jako tylko do odczytu. Modu ten w
przypadku zainstalowania na udziale z profilami bdzie zgasza
klientom, e pliki i katalogi z profilu s zapisywane. To wystarczy
klientom pomimo, e pliki nie zostan nigdy nadpisane przy logowaniu
lub wylogowywaniu klienta.

%package vfs-netatalk
Summary:	VFS module for ease co-existence of samba and netatalk
Summary(pl):	Modu VFS uatwiajcy wspprac serwisw samba i netatalk
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-netatalk
Package contains a netatalk VFS module for ease co-existence of Samba
and netatalk file sharing services.

%description vfs-netatalk -l pl
Pakiet zawiera modu VFS netatalk umoliwiajcy wspprac usug samba
i netatalk przy udostpnianiu zasobw.

%package vfs-recycle
Summary:	VFS module to add recycle bin facility to a samba share
Summary(pl):	Modu VFS dodajcy moliwo kosza do zasobu samby
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-recycle
VFS module to add recycle bin facility to a samba share.

%description vfs-recycle -l pl
Modu VFS dodajcy moliwo kosza do zasobu samby.

%package vfs-readonly
Summary:	VFS module for read-only limitation for specified share
Summary(pl):	Modu VFS do ograniczania okrelonego udziau tylko do odczytu
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-readonly
This module performs a read-only limitation for specified share (or
all of them if it is loaded in a [global] section) based on period
definition in smb.conf.

%description vfs-readonly -l pl
Ten modu wprowadza ograniczenie tylko do odczytu dla okrelonego
udziau (lub wszystkich, jeli jest wczytywany w sekcji [global]) w
oparciu o definicje okresw w smb.conf.

%package vfs-shadow_copy
Summary:	VFS module to make automatic copy of data in samba share
Summary(pl):	Modu VFS do tworzenia automatycznych kopii danych w zasobach samby
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-shadow_copy
VFS module to make automatic copy of data in samba share.

%description vfs-shadow_copy -l pl
Modu VFS do tworzenia automatycznych kopii danych w zasobach samby.

%package vfs-vscan-antivir
Summary:	On-access virus scanning for samba using AntiVir
Summary(pl):	Skaner antywirusowy online wykorzystujcy AntiVir
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}

%description vfs-vscan-antivir
A vfs-module for samba to implement on-access scanning using the
AntiVir antivirus software (which must be installed to use this).

%description vfs-vscan-antivir -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego AntiVir
(ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-clamav
Summary:	On-access virus scanning for samba using ClamAV
Summary(pl):	Skaner antywirusowy online wykorzystujcy ClamAV
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	clamav
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}

%description vfs-vscan-clamav
A vfs-module for samba to implement on-access scanning using the
ClamAV antivirus software (which must be installed to use this).

%description vfs-vscan-clamav -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego ClamAV
(ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-fprot
Summary:	On-access virus scanning for samba using FPROT
Summary(pl):	Skaner antywirusowy online wykorzystujcy FPROT
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-fprot

%description vfs-vscan-fprot
A vfs-module for samba to implement on-access scanning using the FPROT
antivirus software (which must be installed to use this).

%description vfs-vscan-fprot -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego FPROT
(ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-fsav
Summary:	On-access virus scanning for samba using F-Secure AntiVirus
Summary(pl):	Skaner antywirusowy online wykorzystujcy F-Secure AntiVirus
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-fsav

%description vfs-vscan-fsav
A vfs-module for samba to implement on-access scanning using the
F-Secure AntiVirus antivirus software (which must be installed to use
this).

%description vfs-vscan-fsav -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego F-Secure
AntiVirus (ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-kavp
Summary:	On-access virus scanning for samba using Kaspersky AVP
Summary(pl):	Skaner antywirusowy online wykorzystujcy Kaspersky AVP
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-kavp

%description vfs-vscan-kavp
A vfs-module for samba to implement on-access scanning using the
Kaspersky AVP antivirus software (which must be installed to use
this).

%description vfs-vscan-kavp -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego
Kaspersky AVP (ktre musi by zainstalowane, aby wykorzysta ten
modu).

%package vfs-vscan-mcafee
Summary:	On-access virus scanning for samba using mcafee
Summary(pl):	Skaner antywirusowy online wykorzystujcy mcafee
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
#Requires:	mcafee
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-mcafee

%description vfs-vscan-mcafee
A vfs-module for samba to implement on-access scanning using the
mcafee antivirus software (which must be installed to use this).

%description vfs-vscan-mcafee -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego mcafee
(ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-mks
Summary:	On-access virus scanning for samba using mks
Summary(pl):	Skaner antywirusowy online wykorzystujcy mks
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	mksd
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-mks

%description vfs-vscan-mks
A vfs-module for samba to implement on-access scanning using the mks
antivirus software (which must be installed to use this).

%description vfs-vscan-mks -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego mks
(ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-openantivirus
Summary:	On-access virus scanning for samba using OpenAntivirus
Summary(pl):	Skaner antywirusowy online wykorzystujcy OpenAntiVirus
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-openantivirus

%description vfs-vscan-openantivirus
A vfs-module for samba to implement on-access scanning using the
OpenAntivirus antivirus software (which must be installed to use
this).

%description vfs-vscan-openantivirus -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego
OpenAntiVirus.org (ktre musi by zainstalowane, aby wykorzysta ten
modu).

%package vfs-vscan-sophos
Summary:	On-access virus scanning for samba using Sophos
Summary(pl):	Skaner antywirusowy online wykorzystujcy Sophos
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-sophos

%description vfs-vscan-sophos
A vfs-module for samba to implement on-access scanning using the
Sophos antivirus software (which must be installed to use this).

%description vfs-vscan-sophos -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego Sophos
(ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-symantec
Summary:	On-access virus scanning for samba using Symantec
Summary(pl):	Skaner antywirusowy online wykorzystujcy Symantec
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-symantec

%description vfs-vscan-symantec
A vfs-module for samba to implement on-access scanning using the
Symantec antivirus software (which must be installed to use this).

%description vfs-vscan-symantec -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego firmy
Symantec (ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-trend
Summary:	On-access virus scanning for samba using Trend
Summary(pl):	Skaner antywirusowy online wykorzystujcy Trend
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-trend

%description vfs-vscan-trend
A vfs-module for samba to implement on-access scanning using the Trend
antivirus software (which must be installed to use this).

%description vfs-vscan-trend -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego Trend
(ktre musi by zainstalowane, aby wykorzysta ten modu).

%package -n openldap-schema-samba
Summary:	Samba LDAP schema
Summary(pl):	Schemat LDAP dla samby
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-servers

%description -n openldap-schema-samba
This package contains samba.schema for openldap.

%description -n openldap-schema-samba -l pl
Ten pakiet zawiera schemat samby dla openldap-a.

%package doc-html
Summary:	Samba HTML documentation
Summary(pl):	Documentacja samby w formacie HTML
Group:		Documentation

%description doc-html
Samba HTML documentation, consists of:

1. SAMBA Developers Guide
This book is a collection of documents that might be useful for
people developing samba or those interested in doing so. It's nothing
more than a collection of documents written by samba developers about
the internals of various parts of samba and the SMB protocol. It's
still (and will always be) incomplete.

2. Samba-3 by Example
Practical Exercises in Successful Samba Deployment.

3. The Official Samba-3 HOWTO and Reference Guide
This book provides example configurations, it documents key aspects
of Microsoft Windows networking, provides in-depth insight into the
important configuration of Samba-3, and helps to put all of these
into a useful framework.

4. Using Samba, 2nd Edition
Using Samba, Second Edition is a comprehensive guide to Samba
administration. It covers all versions of Samba from 2.0 to 2.2,
including selected features from an alpha version of 3.0, as well as
the SWAT graphical configuration tool. Updated for Windows 2000, ME,
and XP, the book also explores Samba's new role as a primary domain
controller and domain member server, its support for the use of
Windows NT/2000/XP authentication and filesystem security on the host
Unix system, and accessing shared files and printers from Unix
clients.

5. Man pages The Samba man pages in HTML.

%description doc-html -l pl
Documentacja samby w formacie HTML.

%package doc-pdf
Summary:	Samba documentation - PDF format
Summary(pl):	Documentacja samby w formacie PDF
Group:		Documentation

%description doc-pdf
Samba PDF documentation, consists of:

1. SAMBA Developers Guide
This book is a collection of documents that might be useful for
people developing samba or those interested in doing so. It's nothing
more than a collection of documents written by samba developers about
the internals of various parts of samba and the SMB protocol. It's
still (and will always be) incomplete.

2. Samba-3 by Example
Practical Exercises in Successful Samba Deployment.

3. The Official Samba-3 HOWTO and Reference Guide
This book provides example configurations, it documents key aspects
of Microsoft Windows networking, provides in-depth insight into the
important configuration of Samba-3, and helps to put all of these
into a useful framework.

%description doc-pdf -l pl
Documentacja samby w formacie PDF.

%prep
%setup -q
%if "%{_lib}" == "lib64"
%patch0 -p1
%endif
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

cd examples/VFS
tar xjf %{SOURCE7}
mv README{,.vfs}

%build
cd source
%{__libtoolize}
%{__autoconf}

# Removed options (default or not supported by configure script)
#	--with-mmap \
#	--with-netatalk \
#	--without-smbwrapper \
#	--with-sslinc=%{_prefix} \
#	--with-vfs \
#	--with-tdbsam \
#	%{?with_ipv6:--with-ipv6} \

%configure \
	--with-rootsbindir=/sbin \
	--with-pammodulesdir=/%{_lib}/security \
	--with-acl-support \
	--with-automount \
	--with-libsmbclient \
	--with-lockdir=/var/lib/samba \
	--with-pam \
	--with-pam_smbpass \
	--with%{!?with_ads:out}-ads \
	--with-privatedir=%{_sysconfdir}/samba \
	--with-quotas \
	--with-readline \
	--with-smbmount \
	--with-smbwrapper \
	--with-swatdir=%{_datadir}/swat \
	--with-syslog \
	--with-utmp \
	--with-fhs \
	%{?with_python:--with-python} \
	--with%{!?with_ldap:out}-ldap \
	--with%{!?with_krb5:out}-krb5

%{__make} proto
%{__make} everything pam_smbpass bin/smbget bin/mount.cifs bin/vfstest

cd ../examples/VFS
%{__autoconf}
%configure \
	CFLAGS="%{rpmcflags} -fPIC"
%{__make}

cd samba-vscan-%{vscan_version}
cp -f /usr/share/automake/config.sub .
%configure
%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d,pam.d,security,sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT{/var/{log,log/archiv,spool}/samba,/var/lib/samba/printing} \
	$RPM_BUILD_ROOT/var/log/samba/cores/{smbd,nmbd} \
	$RPM_BUILD_ROOT{/sbin,/%{_lib}/security,%{_libdir},%{_vfsdir},%{_includedir},%{_sambahome},%{schemadir}}

cd source
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	CONFIGDIR=$RPM_BUILD_ROOT%{_sysconfdir}/samba

install script/mksmbpasswd.sh $RPM_BUILD_ROOT%{_sbindir}
cd ..

ln -sf %{_bindir}/smbmount $RPM_BUILD_ROOT/sbin/mount.smbfs

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/smb
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/samba
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/swat
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/samba
install %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/samba
install %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/samba/smb.conf
install %{SOURCE8} $RPM_BUILD_ROOT/etc/rc.d/init.d/winbind
install %{SOURCE9} $RPM_BUILD_ROOT/etc/sysconfig/winbind

install source/nsswitch/libnss_winbind.so $RPM_BUILD_ROOT/%{_lib}/libnss_winbind.so.2
ln -s libnss_winbind.so.2		$RPM_BUILD_ROOT/%{_lib}/libnss_winbind.so
install source/nsswitch/libnss_wins.so	$RPM_BUILD_ROOT/%{_lib}/libnss_wins.so.2
ln -s libnss_wins.so.2			$RPM_BUILD_ROOT/%{_lib}/libnss_wins.so
install source/bin/wbinfo		$RPM_BUILD_ROOT%{_bindir}
install source/bin/smbget		$RPM_BUILD_ROOT%{_bindir}
install source/bin/vfstest		$RPM_BUILD_ROOT%{_bindir}

mv $RPM_BUILD_ROOT%{_libdir}/samba/libsmbclient.so $RPM_BUILD_ROOT%{_libdir}/libsmbclient.so.0
install source/bin/libsmbclient.a $RPM_BUILD_ROOT%{_libdir}/libsmbclient.a
ln -s libsmbclient.so.0 $RPM_BUILD_ROOT%{_libdir}/libsmbclient.so
mv $RPM_BUILD_ROOT%{_libdir}/samba/libmsrpc.so $RPM_BUILD_ROOT%{_libdir}/libmsrpc.so.0
install source/bin/libmsrpc.a $RPM_BUILD_ROOT%{_libdir}/libmsrpc.a
ln -s libmsrpc.so.0 $RPM_BUILD_ROOT%{_libdir}/libmsrpc.so

install source/include/libsmbclient.h $RPM_BUILD_ROOT%{_includedir}

# these are needed to build samba-pdbsql
install -d $RPM_BUILD_ROOT%{_includedir}/%{name}/{smbwrapper,tdb,nsswitch}
cp -a source/include/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}
cp -a source/smbwrapper/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/smbwrapper
cp -a source/tdb/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/tdb
cp -a source/nsswitch/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/nsswitch

# vscan modules
install examples/VFS/samba-vscan-%{vscan_version}/*.so $RPM_BUILD_ROOT%{_vfsdir}
install examples/VFS/samba-vscan-%{vscan_version}/{antivir,clamav,fprot,icap,kaspersky,mks,openantivirus,sophos,trend,f-secure,nai}/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/samba

touch $RPM_BUILD_ROOT/var/lib/samba/{wins.dat,browse.dat}

echo '127.0.0.1 localhost' > $RPM_BUILD_ROOT%{_sysconfdir}/samba/lmhosts

%if %{with cups}
install -d $RPM_BUILD_ROOT%{cups_serverbin}/backend
ln -s %{_bindir}/smbspool $RPM_BUILD_ROOT%{cups_serverbin}/backend/smb
%endif

> $RPM_BUILD_ROOT%{_sysconfdir}/samba/smbusers
> $RPM_BUILD_ROOT/etc/security/blacklist.samba

# we have this utility in tdb package
rm -f $RPM_BUILD_ROOT{%{_bindir}/tdbdump,%{_mandir}/man8/tdbdump.8*}

# python stuff
%if %{with python}
install -d $RPM_BUILD_ROOT%{py_sitedir}
cp -R source/build/lib.*/samba $RPM_BUILD_ROOT%{py_sitedir}
%endif

mv $RPM_BUILD_ROOT%{_bindir}/tdbtool $RPM_BUILD_ROOT%{_bindir}/tdbtool_samba

%if %{with ldap}
install examples/LDAP/samba.schema $RPM_BUILD_ROOT%{schemadir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smb
if [ -f /var/lock/samba/connections.tdb -a ! -f /var/lib/samba/connections.tdb ]; then
	echo >&2 "Moving old /var/lock/samba contents to /var/lib/samba"
	/sbin/service smb stop >&2
	mv -f /var/lock/samba/*.tdb /var/lib/samba 2>/dev/null || :
	mv -f /var/lock/samba/*.dat /var/lib/samba 2>/dev/null || :
	if [ -d /var/lock/samba/printing ]; then
		mv -f /var/lock/samba/printing/*.tdb /var/lib/samba/printing 2>/dev/null || :
	fi
	/sbin/service smb start >&2
else
	%service smb restart "Samba daemons"
fi

%preun
if [ "$1" = "0" ]; then
	%service smb stop
	/sbin/chkconfig --del smb
fi

%post winbind
/sbin/chkconfig --add winbind
%service winbind restart "Winbind daemon"

%preun winbind
if [ "$1" = "0" ]; then
	%service winbind stop
	/sbin/chkconfig --del winbind
fi

%post swat
%service -q rc-inetd reload

%postun swat
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%post -n openldap-schema-samba
# dependant schemas: cosine(uid) inetorgperson(displayName) nis(gidNumber)
%openldap_schema_register %{schemadir}/samba.schema -d cosine,inetorgperson,nis
%service -q ldap restart

%postun -n openldap-schema-samba
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/samba.schema
	%service -q ldap restart
fi

%triggerpostun -- samba < 1.9.18p7
if [ "$1" != "0" ]; then
	/sbin/chkconfig --add smb
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/nmbd
%attr(755,root,root) %{_sbindir}/smbd
%attr(755,root,root) %{_sbindir}/mksmbpasswd.sh
%attr(755,root,root) %{_bindir}/smbstatus
%attr(755,root,root) %{_bindir}/smbpasswd
%attr(755,root,root) %{_bindir}/smbcontrol
%attr(755,root,root) %{_bindir}/tdbbackup
%attr(755,root,root) %{_bindir}/tdbtool_samba

%dir %{_libdir}/%{name}/pdb
%dir %{_vfsdir}

%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/smbusers
%attr(754,root,root) /etc/rc.d/init.d/smb
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/samba
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/samba
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/samba
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.samba
%{_mandir}/man1/log2pcap.1*
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man1/smbcontrol.1*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man7/samba.7*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/smbpasswd.8*
%{_mandir}/man8/tdbbackup.8*

%dir %{_sambahome}
%dir /var/lib/samba
%ghost /var/lib/samba/*.dat
%dir /var/lib/samba/printing

%attr(750,root,root) %dir /var/log/samba
%attr(750,root,root) %dir /var/log/samba/cores
%attr(750,root,root) %dir /var/log/samba/cores/smbd
%attr(750,root,root) %dir /var/log/samba/cores/nmbd
%attr(750,root,root) %dir /var/log/archiv/samba
%attr(1777,root,root) %dir /var/spool/samba
%if %{with ldap}
%doc examples/LDAP
%endif

%files winbind
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/winbindd
%attr(755,root,root) %{_bindir}/wbinfo
%attr(755,root,root) /%{_lib}/security/pam_winbind*
%attr(755,root,root) /%{_lib}/libnss_winbind*
%attr(754,root,root) /etc/rc.d/init.d/winbind
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/winbind
%{_mandir}/man1/wbinfo*.1*
%{_mandir}/man7/pam_winbind.7*
%{_mandir}/man8/winbindd*.8*

%files -n nss_wins
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_wins*

%files client
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/mount.smbfs
%attr(755,root,root) /sbin/mount.cifs
%attr(755,root,root) /sbin/umount.cifs
%attr(755,root,root) %{_bindir}/net
%attr(755,root,root) %{_bindir}/smbmnt
%attr(755,root,root) %{_bindir}/smbmount
%attr(755,root,root) %{_bindir}/smbtree
%attr(755,root,root) %{_bindir}/smbumount
%{_mandir}/man1/smbtree.1*
%{_mandir}/man8/net.8*
%{_mandir}/man8/smbmnt.8*
%{_mandir}/man8/smbmount.8*
%{_mandir}/man8/smbumount.8*
%{_mandir}/man8/*mount.cifs.8*
%attr(755,root,root) %{_bindir}/nmblookup
%attr(755,root,root) %{_bindir}/smbcacls
%attr(755,root,root) %{_bindir}/smbclient
%attr(755,root,root) %{_bindir}/smbtar
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/smbsh.1*
%attr(755,root,root) %{_bindir}/rpcclient
%{_mandir}/man1/rpcclient.1*
%attr(755,root,root) %{_bindir}/findsmb
%{_mandir}/man1/findsmb.1*

%files common
%defattr(644,root,root,755)
%doc README Manifest WHATSNEW.txt
%doc Roadmap docs/registry/*
%doc docs/{history,THANKS}
%dir %{_sysconfdir}/samba
%attr(664,root,fileshare) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/smb.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/lmhosts
%attr(755,root,root) %{_bindir}/eventlogadm
%attr(755,root,root) %{_bindir}/ntlm_auth
%attr(755,root,root) %{_bindir}/pdbedit
%attr(755,root,root) %{_bindir}/profiles
%attr(755,root,root) %{_bindir}/smbcquotas
%attr(755,root,root) %{_bindir}/testparm
%attr(755,root,root) %{_bindir}/vfstest
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.dat
%dir %{_libdir}/%{name}/auth
%attr(755,root,root) %{_libdir}/%{name}/auth/script.so
%dir %{_libdir}/%{name}/charset
%attr(755,root,root) %{_libdir}/%{name}/charset/*.so
%{_mandir}/man1/ntlm_auth.1*
%{_mandir}/man1/profiles.1*
%{_mandir}/man1/smbcquotas.1*
%{_mandir}/man1/testparm.1*
%{_mandir}/man1/vfstest.1*
#%{_mandir}/man1/log2pcap.1*
%{_mandir}/man5/lmhosts.5*
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man8/pdbedit.8*

%files swat
%defattr(644,root,root,755)
#%doc swat/README* swat/help/*
%doc swat/help/*
%attr(755,root,root) %{_sbindir}/swat
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/swat
%dir %{_datadir}/swat
%{_datadir}/swat/help
%{_datadir}/swat/images
%{_datadir}/swat/include
%{_datadir}/swat/using_samba
%dir %{_datadir}/swat/lang
%lang(ja) %{_datadir}/swat/lang/ja
%lang(tr) %{_datadir}/swat/lang/tr
%lang(de) %{_libdir}/%{name}/de.msg
%{_libdir}/%{name}/en.msg
%lang(fr) %{_libdir}/%{name}/fr.msg
%lang(it) %{_libdir}/%{name}/it.msg
%lang(ja) %{_libdir}/%{name}/ja.msg
%lang(nl) %{_libdir}/%{name}/nl.msg
%lang(pl) %{_libdir}/%{name}/pl.msg
%lang(tr) %{_libdir}/%{name}/tr.msg
%{_mandir}/man8/swat.8*

%if %{with python}
%files -n python-samba
%defattr(644,root,root,755)
%dir %{py_sitedir}/samba
%attr(755,root,root) %{py_sitedir}/samba/*.so
%{py_sitedir}/samba/*.py
%doc source/python/{README,gprinterdata,gtdbtool,gtkdictbrowser.py}
%doc source/python/examples
%endif

%files -n pam-pam_smbpass
%defattr(644,root,root,755)
%doc source/pam_smbpass/{CHAN*,README,TODO} source/pam_smbpass/samples
%attr(755,root,root) /%{_lib}/security/pam_smbpass.so

%files -n libsmbclient
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmsrpc.so.*
%attr(755,root,root) %{_libdir}/libsmbclient.so.*
%{_mandir}/man7/libsmbclient.7*

%files -n libsmbclient-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmsrpc.so
%attr(755,root,root) %{_libdir}/libsmbclient.so
%{_includedir}/libmsrpc.h
%{_includedir}/libsmbclient.h

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}

%files -n libsmbclient-static
%defattr(644,root,root,755)
%{_libdir}/libmsrpc.a
%{_libdir}/libsmbclient.a

%files -n smbget
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/smbget
%{_mandir}/man1/smbget.1*
%{_mandir}/man5/smbgetrc.5*

%if %{with cups}
%files -n cups-backend-smb
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/smbspool
%attr(755,root,root) %{cups_serverbin}/backend/smb
%{_mandir}/man8/smbspool.8*
%endif

%files vfs-audit
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/audit.so
%attr(755,root,root) %{_vfsdir}/extd_audit.so
%attr(755,root,root) %{_vfsdir}/full_audit.so

%files vfs-cap
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/cap.so

%files vfs-default_quota
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/default_quota.so

%files vfs-expand_msdfs
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/expand_msdfs.so

%files vfs-fake_perms
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/fake_perms.so

%files vfs-netatalk
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/netatalk.so

%files vfs-readonly
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/readonly.so

%files vfs-recycle
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/recycle.so

%files vfs-shadow_copy
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/shadow_copy.so

%files vfs-vscan-antivir
%defattr(644,root,root,755)
#%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/vscan-antivir.conf
%attr(755,root,root) %{_vfsdir}/vscan-antivir.so

%files vfs-vscan-clamav
%defattr(644,root,root,755)
#%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/vscan-clamav.conf
%attr(755,root,root) %{_vfsdir}/vscan-clamav.so

%files vfs-vscan-fprot
%defattr(644,root,root,755)
#%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/vscan-fprotd.conf
%attr(755,root,root) %{_vfsdir}/vscan-fprotd.so

%files vfs-vscan-fsav
%defattr(644,root,root,755)
#%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/vscan-fsav.conf
%attr(755,root,root) %{_vfsdir}/vscan-fsav.so

%files vfs-vscan-kavp
%defattr(644,root,root,755)
#%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/vscan-kavp.conf
%attr(755,root,root) %{_vfsdir}/vscan-kavp.so

%files vfs-vscan-mcafee
%defattr(644,root,root,755)
#%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/vscan-mcdaemon.conf
%attr(755,root,root) %{_vfsdir}/vscan-mcdaemon.so

%ifarch %{ix86} %{x8664}
%files vfs-vscan-mks
%defattr(644,root,root,755)
#%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/vscan-mks32.conf
%attr(755,root,root) %{_vfsdir}/vscan-mksd.so
%endif

%files vfs-vscan-openantivirus
%defattr(644,root,root,755)
#%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/vscan-oav.conf
%attr(755,root,root) %{_vfsdir}/vscan-oav.so

%files vfs-vscan-sophos
%defattr(644,root,root,755)
#%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/vscan-sophos.conf
%attr(755,root,root) %{_vfsdir}/vscan-sophos.so

%files vfs-vscan-symantec
%defattr(644,root,root,755)
#%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/vscan-icap.conf
%attr(755,root,root) %{_vfsdir}/vscan-icap.so

%files vfs-vscan-trend
%defattr(644,root,root,755)
#%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/samba/vscan-trend.conf
%attr(755,root,root) %{_vfsdir}/vscan-trend.so

%if %{with ldap}
%files -n openldap-schema-samba
%defattr(644,root,root,755)
%{schemadir}/*.schema
%endif

%files doc-html
%defattr(644,root,root,755)
%doc docs/htmldocs/*

%files doc-pdf
%defattr(644,root,root,755)
%doc docs/*.pdf

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: samba.spec,v $
Revision 1.348.2.1  2007/04/03 20:36:05  zawadaa
- up to 3.0.24
- resolves CVE-2007-0452, CVE-2007-0453, CVE-2007-0454

Revision 1.348  2007/01/18 19:05:07  arekm
- rel 4; more nscd fixes

Revision 1.347  2007/01/12 20:15:31  adamg
- fix libsmbclient linking agains libnscd
- release 3

Revision 1.346  2006/12/29 09:58:00  matkor
- Release 2. STBR for Ac. Rebuild seems to fix undefined reference to `nscd_flush_cache\' in rel 1.

Revision 1.345  2006/11/26 12:42:45  tommat
- rel 1, builds and runs on amd64, STBR

Revision 1.344  2006/11/22 14:21:43  tommat
- up to 3.0.23d rel 0.1
- removed patch0 - we dont have broken RH7 system headers
- renumerated patches
- needs to be tested on 64bit arch

Revision 1.343  2006/11/16 09:25:57  qboosh
- R: cups-lib not cups; release 3

Revision 1.342  2006/11/13 15:04:12  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.341  2006/11/10 09:38:46  qboosh
- release 2

Revision 1.340  2006/11/10 09:38:03  qboosh
- force cups 1.2.0 as smbd linked with cups 1.2.0 doesn't run with cups 1.1.x

Revision 1.339  2006/10/15 14:18:00  glen
- package /var/log/samba/cores/{smbd,nmbd}

Revision 1.338  2006/09/02 20:45:30  abram
- i forgot md5sum for source0

Revision 1.337  2006/09/02 20:42:43  abram
- upgrade to 3.0.23c
- patch5 is included in source

Revision 1.336  2006/08/29 13:59:57  wolvverine
- add patch4, STBR

Revision 1.335  2006/08/29 12:14:18  glen
- samba got linked with dmapi on builders, so BR it here

Revision 1.334  2006/08/22 14:40:39  glen
- rel 1

Revision 1.333  2006/08/09 19:36:21  arekm
- up to 3.0.23b

Revision 1.332  2006/07/26 20:21:49  qboosh
- pl for -devel

Revision 1.331  2006/07/25 09:30:10  glen
- keep subdirs in -devel package

Revision 1.330  2006/07/25 09:22:45  glen
- cleanup

Revision 1.329  2006/07/25 09:22:15  glen
- pdb-xml is gone with 3.0.23 release

Revision 1.328  2006/07/25 09:07:09  glen
- ldapsam is gone with 3.0.22 release

Revision 1.327  2006/07/25 09:02:11  glen
- hacked together samba-devel for building samba-pdbsql

Revision 1.326  2006/07/25 08:43:49  glen
- updated to 3.0.23a
  NOTE: mysql and pgsql have been removed from sources. See samba-pdbsql.spec

Revision 1.325  2006/07/17 13:52:34  havner
- CAN-2006-3403
- rel 2

Revision 1.324  2006/06/02 21:18:50  glen
- use %openldap_schema_{un,}register macros

Revision 1.323  2006/04/12 21:19:58  zawadaa
- up to 3.0.22, security - CAN_2006-1059
- STBR

Revision 1.322  2006/03/13 23:14:32  glen
- use %service

Revision 1.321  2006/03/09 08:58:52  zawadaa
- up to 3.0.21c, STBR

Revision 1.320  2006/02/02 12:13:53  charles
- updated to 3.0.21b
- removed obsolete -setup-python.patch, -3401.patch

Revision 1.319  2006/02/01 23:03:35  charles
- BR: iconv (configure req. it, without: "Conversion from xxx to yyy not supported")

Revision 1.318  2006/01/22 16:36:19  charles
- BR: rpm-pythonprov (if with python), sorted BRs

Revision 1.317  2006/01/22 13:07:13  bszx
- fix for #3401 (PANIC: internal error) from samba svn

Revision 1.316  2006/01/17 12:25:23  baggins
- release 1
- BR openldap >= 2.3

Revision 1.315  2006/01/16 10:59:11  qboosh
- editreg.1 has been removed from sources

Revision 1.314  2006/01/16 10:39:23  qboosh
- install libmsrpc to system dirs, package it (in libsmbclient*)
- package auth/script module (in base)
- moved pdbedit(8) man page to proper package
- removed log2pcap(1) man page (no such utility)

Revision 1.313  2006/01/10 18:36:10  qboosh
- added unpackaged files note to todo

Revision 1.312  2006/01/10 14:42:21  qboosh
- move "lockdir" from /var/lock/samba to /var/lib/samba as it contains
  persistent valuable data and some cache, not just locks!
  (merged from OpenBIZ)
- removed outdated STATUS..LCK and mkdirs trigger

Revision 1.311  2006/01/06 14:10:47  zawadaa
- up to 3.0.21a

Revision 1.310  2005/12/26 12:57:49  tommat
- build with smbwrapper (smbsh)
- removed obsolete editreg manpage
- rel 0.2

Revision 1.309  2005/12/25 18:43:56  tommat
- version 3.0.21, rel 0.1, NFY

Revision 1.308  2005/12/22 15:18:09  pluto
- release 3 for rebuild with new ldap.

Revision 1.307  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.306  2005/10/31 14:13:41  jareq
- typo

Revision 1.305  2005/10/27 17:52:58  arekm
- rel 2

Revision 1.304  2005/10/16 21:45:35  arekm
- up to 3.0.20b

Revision 1.303  2005/10/10 07:23:52  qboosh
- copy-pasto

Revision 1.302  2005/10/07 18:42:43  agaran
- if kerb is conditional, it has to be everywhere..

Revision 1.301  2005/10/05 17:03:10  tommat
- removed sed version replacement due to smarter vfs-scan configure

Revision 1.300  2005/10/04 22:47:32  zawadaa
- samba-vscan up to 0.3.6b
- STBR

Revision 1.299  2005/10/04 14:48:05  tommat
- now builds, please test

Revision 1.298  2005/10/01 13:03:45  marcus
- add pthread patch

Revision 1.297  2005/10/01 12:49:58  marcus
- up to 3.0.20a

Revision 1.296  2005/09/19 14:01:32  glen
- ldapsam comment is confusing

Revision 1.295  2005/09/17 10:54:14  arekm
- readline 5.0

Revision 1.294  2005/09/09 21:30:24  arekm
- fix patch nr

Revision 1.293  2005/09/09 20:51:31  arekm
- rel 1; patch 4 dropped; in postgres you can use views to get the same behaviour

Revision 1.292  2005/08/21 19:05:29  arekm
- up to 3.0.20 (sql patch is controversial; not updated+disabled)

Revision 1.291  2005/08/17 13:24:33  paszczus
- added R: heimdal-libs >= 0.7 to -client package

Revision 1.290  2005/08/09 11:29:34  aniolek
- pl fix

Revision 1.289  2005/07/08 20:52:51  arekm
- rel 6

Revision 1.288  2005/07/08 18:06:22  arekm
- BR heimdal-devel >= 0.7

Revision 1.287  2005/07/01 21:25:10  qboosh
- pl cosmetics

Revision 1.286  2005/07/01 16:02:14  twittner
- split some documentation files into 2 subpackages: doc-html and doc-pdf
- formatting (adapter can break everything, f.e. enumeration in descriptions)
- rel. 4

Revision 1.285  2005/05/30 21:25:04  arekm
cups stuff needs to be in lib not lib64

Revision 1.284  2005/05/11 09:32:49  pluto
- release 2 for Th.

Revision 1.283  2005/05/06 13:06:13  qboosh
- files fix

Revision 1.282  2005/04/19 09:44:26  wolvverine
- change description (pl) vfs-audit

Revision 1.281  2005/04/18 05:28:37  glen
- typo

Revision 1.280  2005/04/17 23:51:27  tommat
- added amd64 arch to vfs-vscan-mksd
- rel 1

Revision 1.279  2005/04/17 23:21:27  tommat
- added workaround for release checking in vfs-vscan
- NFY

Revision 1.278  2005/04/17 21:41:21  tommat
- version 3.0.14a
- BR: libmagic-devel for vfs-vscan
- NFY

Revision 1.277  2005/04/12 21:45:13  zawadaa
- up to 3.0.14
- STBR for test

Revision 1.276  2005/04/11 09:47:41  zawadaa
- copy-paste fix

Revision 1.275  2005/04/11 09:37:25  zawadaa
- up to samba-vscan-0.3.6

Revision 1.274  2005/03/26 23:06:11  arekm
- rel 1

Revision 1.273  2005/03/24 12:09:34  zawadaa
- up to 3.0.13
- STBR and install on builders-libsmbclient not binary compatible
  so we need rebuild some programs

Revision 1.272  2005/03/22 00:14:00  zawadaa
- rel. up to 3.0.12

Revision 1.271  2005/03/10 12:22:53  qboosh
- ENCRYPTION.TXT is no more

Revision 1.270  2005/03/09 18:05:14  qboosh
- no need to bcond preamble and scripts - files are enough

Revision 1.269  2005/03/08 01:32:24  glen
- don't build openldap-schema if bcond ldap is off

Revision 1.268  2005/03/07 19:07:08  tommat
- added pl translation to openldap-schema package
- updated todo

Revision 1.267  2005/03/05 20:42:38  glen
- also enable dependant schemas for samba.schema

Revision 1.266  2005/03/05 20:14:33  glen
- add openldap-schema-samba package

Revision 1.265  2005/02/19 08:28:09  ankry
- rel. 2

Revision 1.264  2005/02/09 12:07:49  tommat
- lets forget about ipv6, maintain patch discontinued since 2.2 version,
  samba team is not planning implement ipv6, removed commented out patch
  and bcond.

Revision 1.263  2005/02/05 19:43:18  tommat
- added vfstest program,
- release 1

Revision 1.262  2005/02/05 11:53:23  qboosh
- apply lib64 on all archs which use lib64

Revision 1.261  2005/02/05 10:33:06  tommat
- updated to version 3.0.11
- relase 0.1

Revision 1.260  2005/01/15 10:00:08  zawadaa
- fix for printer queue cleaning

Revision 1.259  2005/01/13 18:00:39  ankry
- fixed R:, rel. .2

Revision 1.258  2005/01/09 23:42:00  tommat
- removed already included in 3.0.11pre1 sources samba-3_0_9-printing.patch
- updated files section in winbind package

Revision 1.257  2005/01/09 17:42:18  saq
- missing pyreqeq

Revision 1.256  2005/01/09 16:10:52  tommat
- version 3.0.11pre1, NFY

Revision 1.255  2004/12/17 10:07:45  qboosh
- existings patches first

Revision 1.254  2004/12/16 19:43:20  hawk
- security update to 3.0.10, includes fix for CAN-2004-1154

Revision 1.253  2004/12/16 19:18:35  adamg
- added (official) CAN-2004-1154.patch
- fixed printing patch a bit (due to changes introduced by CAN-2004-1154.patch)
- release 4

Revision 1.252  2004/12/14 20:26:28  ciesiel
- added patch printing memleak (from devel list: Andrzej Zawadzki)

Revision 1.251  2004/12/02 16:38:30  qboosh
- release 2

Revision 1.250  2004/12/02 16:37:06  qboosh
- well, unified

Revision 1.249  2004/12/02 16:36:23  qboosh
- missing dir

Revision 1.248  2004/11/24 19:46:24  qboosh
- more cleanups

Revision 1.247  2004/11/24 13:28:33  qboosh
- some cleanups, base Obsoletes: samba-vfs-block (until there is better place)

Revision 1.246  2004/11/21 02:45:57  wrobell
- ver. 3.0.9

Revision 1.245  2004/11/13 21:44:10  ankry
- removed duplicated files

Revision 1.244  2004/11/13 21:20:09  ankry
- added libsmbclient_link patch, rel. 3

Revision 1.243  2004/11/11 02:38:11  havner
- typo

Revision 1.242  2004/11/11 02:37:30  havner
- mv tdbtool tdbtool_samba (to avoid conflict with tdb, needs checking)
- updated TODO
- rel 2

Revision 1.241  2004/11/10 23:26:06  havner
- rel 1

Revision 1.240  2004/11/10 23:23:23  havner
- missing binary added
- mcafee plugin added (without R, there is no mcafee in PLD and probably
  it can be run over net)

Revision 1.239  2004/11/09 13:31:43  aflinta
- version 3.0.8 - final, need to do something with two missing files

Revision 1.238  2004/11/01 15:00:18  adasi
 - fix psql passdb
 - not tested at all

Revision 1.237  2004/10/29 14:13:47  paladine
- unifications

Revision 1.236  2004/10/28 11:13:23  tommat
- version 3.0.8pre2
- added FHS patch fixing lock directory

Revision 1.235  2004/10/21 14:14:28  djurban
- samba rel 4, kdelibs 2, nfs-utils 8
- Prereq setup .6-7 sent to ac

Revision 1.234  2004/10/19 18:56:09  qboosh
- PreReq for setup

Revision 1.233  2004/10/19 18:08:39  djurban
- fileshare instead of samba stbring

Revision 1.232  2004/10/19 16:40:53  havner
- 664 for smb.conf

Revision 1.231  2004/10/19 16:37:58  havner
- R: setup 2.4.6-6 (providing samba group)
- cosmetics

Revision 1.230  2004/10/19 16:30:27  djurban
- use samba group for /etc/smb/smb.conf

Revision 1.229  2004/10/12 14:01:43  qboosh
- ads requires krb5 _and_ ldap

Revision 1.228  2004/10/05 10:15:32  tommat
- version 3.0.8pre1

Revision 1.227  2004/09/28 19:12:57  ankry
- spaces -> tabs

Revision 1.226  2004/09/27 22:53:29  adasi
- 1st try of samba-pdb-pgsql
- not tested

Revision 1.225  2004/09/26 21:34:31  kolodko
- added macros in /etc/logrotate.d

Revision 1.224  2004/09/14 10:21:15  tommat
- removed samba.schema - fixed file is now in tarball
- rel 1 for AC

Revision 1.223  2004/09/14 09:13:04  blues
- security update to 3.0.7, not tested, pointed by Andrzej Zawadzki
  <zawadaa@wp.pl> - STBR, please (after testing...)

Revision 1.222  2004/09/13 13:18:19  qboosh
- copy-pasto

Revision 1.221  2004/09/13 11:56:41  qboosh
- sync vfs-vscan pl summaries

Revision 1.220  2004/09/02 21:10:23  pluto
- minor fix for setup.py (I followed my nose in doing this fix).
  # LIBS="-z combreloc -lcrypt -lresolv -lnsl -ldl    " \
  #        python python/setup.py build
  # Unknown entry '-z' in $LIBS variable passed to setup.py

Revision 1.219  2004/08/26 22:55:02  tommat
- added LDAP stuff to documentation

Revision 1.218  2004/08/26 22:07:33  tommat
- updated samba LDAP schema

Revision 1.217  2004/08/20 11:33:21  tommat
- changed source url to official from webpage

Revision 1.216  2004/08/20 09:57:55  tommat
- version 3.0.6

Revision 1.215  2004/08/12 20:07:10  tommat
- added full_audit plugin to samba-vfs-audit package

Revision 1.214  2004/08/12 15:24:06  tommat
- fixed libsmbclient path

Revision 1.213  2004/08/12 13:58:36  tommat
- version 3.0.6rc2

Revision 1.212  2004/07/30 08:01:42  qboosh
- cosmetics

Revision 1.211  2004/07/30 00:33:36  tommat
- added python-samba package, reverted python bcond
- updated TODO

Revision 1.210  2004/07/29 09:16:49  tommat
- cleanups after merge

Revision 1.209  2004/07/29 09:12:57  tommat
- merged with DEVEL

Revision 1.208  2004/07/22 16:37:10  pluto
- updated to 3.0.5 (CAN-2004-0600, CAN-2004-0686).

Revision 1.207  2004/07/05 00:35:57  pluto
- active directory needs ldap.

Revision 1.206  2004/06/05 18:26:13  tommat
- fixed release to be greater than on ftp, STBR for AC

Revision 1.205.2.6  2004/07/29 09:07:58  tommat
- cleanup - now it builds

Revision 1.205.2.5  2004/07/29 08:46:48  tommat
- version 3.0.5

Revision 1.205.2.4  2004/07/10 16:01:53  tommat
- fixed libsmbclient location

Revision 1.205.2.3  2004/07/09 21:39:12  tommat
- rel 3.0.5rc1 NFY

Revision 1.205.2.2  2004/06/01 12:26:02  tommat
- updated md5

Revision 1.205.2.1  2004/06/01 12:22:43  tommat
- version 3.0.5pre1
- removed BR ncurses-devel (readline-devel R ncurses-devel)

Revision 1.205  2004/06/01 10:17:40  tommat
- reverted last change

Revision 1.204  2004/05/29 01:36:27  aredridel
- added Obsoletes: samba-winbind

Revision 1.203  2004/05/19 18:03:16  qboosh
- added missing descriptions, sorted vfs modules

Revision 1.202  2004/05/19 13:48:31  mwinkler
- description s/-/_/

Revision 1.201  2004/05/18 10:37:16  qboosh
- fixed some typos, added more pl

Revision 1.200  2004/05/17 23:39:11  tommat
- adapterized, thanks ankry

Revision 1.199  2004/05/17 23:03:20  tommat
- updated descriptions - taken from KLD, let's someone help me :)

Revision 1.198  2004/05/17 15:49:25  tommat
- splited vfs modules into separated packages, not finished - make some
  reasonable descriptions to this packages to do.

Revision 1.197  2004/05/15 20:54:56  tommat
- added fsav vscan package (F-Secure AntiVirus)
- updated todo

Revision 1.196  2004/05/15 18:58:03  tommat
- removed unused Source8 (undefined's clamav vscan)
- renumbered sources

Revision 1.195  2004/05/14 17:02:21  adgor
- Cosmetics (to avoid mistakes)

Revision 1.194  2004/05/14 16:25:51  tommat
- updated todo
- vscan ver. 0.3.5
- AC ready

Revision 1.193  2004/05/14 13:57:54  qboosh
- missing pl, cleanups, strict internal deps

Revision 1.192  2004/05/14 11:52:29  tommat
- merged from DEVEL

Revision 1.191  2004/05/12 22:16:14  arekm
- updated to 3.0.4; fixed parallel build (but disabled it for some extra modules which have broken makefile rules for parallel build)

Revision 1.190  2004/04/03 11:54:34  averne
- rel 5 for rebuild with new openldap

Revision 1.189  2004/03/20 09:48:10  qboosh
- removed tdbdump utility (we have it in tdb package)
- updated lib64 patch, release 4

Revision 1.188  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.187  2004/03/17 23:58:15  arekm
- add smbget utility

Revision 1.186  2004/03/16 13:42:08  averne
- rel3 for rebuild with new openldap

Revision 1.185  2004/03/16 11:50:30  wrobell
- rel. 2 to rebuild with new openldap on nest builders

Revision 1.184  2004/02/24 12:15:46  tommat
- version 3.0.2a

Revision 1.183  2004/02/11 16:06:45  areq
- 3.0.2

Revision 1.182  2004/02/09 23:32:57  ankry
- unified flexion: none

Revision 1.181  2004/01/23 18:51:21  arekm
- added mount.cifs binary

Revision 1.180  2004/01/07 11:39:06  qboosh
- fixed duplicates in swat file list, don't use lang() for en

Revision 1.179  2004/01/02 17:57:19  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.178  2003/12/30 13:23:07  jajcus
- AMD64 fixes: %{_lib} fixes, lib64 patch, -fPIC to VFS example CFLAGS, config.sub updated in samba-vscan

Revision 1.177  2003/12/16 15:32:47  wrobell
- fixed typo (thanks to Andrzej Zawadzki)

Revision 1.176  2003/12/16 13:54:16  wrobell
- fixed main package epoch issue

Revision 1.175  2003/12/16 13:24:11  wrobell
- see no todo items, so release 1

Revision 1.174  2003/12/16 13:18:41  wrobell
- updated md5

Revision 1.173  2003/12/16 12:39:14  wrobell
- ver. 3.0.1, nfy: need to fetch sources, etc...

Revision 1.172  2003/12/12 18:36:56  ankry
- cosmetics

Revision 1.171  2003/12/12 10:06:42  arekm
- updated to 3.0.1rc2

Revision 1.170  2003/12/11 18:57:23  qboosh
- fixed bcond description, pl for pdb-*

Revision 1.169  2003/12/11 17:35:25  wrobell
- added mysql bcond
- added password database subpackages: mysql, xml (samba core package does
  not depend on mysql anymore)
- rel. 0.2

Revision 1.168  2003/12/10 20:46:45  qboosh
- fixed new-style bconds

Revision 1.167  2003/12/10 19:41:54  pzurowski
- switched to the new style bconds

Revision 1.166  2003/12/10 19:30:05  wrobell
- todo added

Revision 1.165  2003/12/05 23:34:52  arekm
- updated to 3.0.1rc1 (fixed hosts allow problems)

Revision 1.164.2.36  2004/05/13 13:51:44  tommat
- fixed parallel build - my mistake ;-)

Revision 1.164.2.35  2004/05/13 12:56:57  tommat
- updated to 3.0.4
- disabled parallel build for vscan modules
- added smbgetrc manpage to smbget package

Revision 1.164.2.34  2004/05/05 12:01:25  qboosh
- cosmetics

Revision 1.164.2.33  2004/05/04 16:18:50  tommat
- fixed rel number
- added samba-shadow-copy package (no idea for package description)

Revision 1.164.2.32  2004/05/02 20:22:10  tommat
- fixed url in source0

Revision 1.164.2.31  2004/04/30 19:48:26  tommat
- version 3.0.3

Revision 1.164.2.30  2004/04/23 19:54:48  tommat
- fixed md5 sums

Revision 1.164.2.29  2004/04/23 15:03:53  tommat
- ver 3.0.3rc1, fixed doc paths

Revision 1.164.2.28  2004/04/16 19:34:53  tommat
- added with python bcond, becouse now it wont build with it :)

Revision 1.164.2.27  2004/04/07 16:07:33  tommat
- rel 3.0.3pre2, not building

Revision 1.164.2.26  2004/03/22 22:12:30  tommat
- ver 3.0.3pre1, builds but who knows if it works ;)

Revision 1.164.2.25  2004/03/22 21:22:29  tommat
- removed tdbdump manpage

Revision 1.164.2.24  2004/03/22 21:04:59  tommat
- removed tdbdump utility
- BR openssl-devel >= 0.9.7d
- package client obsoletes mount-cifs
- cosmetics
- rel 4.1

Revision 1.164.2.23  2004/02/24 12:13:54  tommat
- version 3.0.2a

Revision 1.164.2.22  2004/02/12 14:53:44  tommat
- added /etc/sysconfig/winbind for winbind server

Revision 1.164.2.21  2004/02/11 15:02:45  tommat
- new version 3.0.2
- added todo

Revision 1.164.2.20  2004/02/03 03:21:15  tommat
- changed builddir to rc2 - now it builds

Revision 1.164.2.19  2004/02/03 01:49:44  tommat
- updated to 3.0.2rc2 - not compiled nor tested

Revision 1.164.2.18  2004/01/27 21:15:21  tommat
- rel 0.3
- added mount.cifs binary

Revision 1.164.2.17  2004/01/23 10:55:29  tommat
- added manpage for tdbdump - no more omited files

Revision 1.164.2.16  2004/01/23 08:27:20  tommat
- rel 0.2
- added smbget package

Revision 1.164.2.15  2004/01/22 23:25:45  tommat
- changed rel to 0.1 - it is not finished yet

Revision 1.164.2.14  2004/01/22 22:23:27  tommat
- AMD64 fixes: %{_lib} fixes, lib64 patch, -fPIC to VFS example CFLAGS, config.sub updated in samba-vscan
- fixed duplicates in swat file list, don't use lang() for en
- version 3.0.2rc1
- compilable but not finished

Revision 1.164.2.13  2003/12/21 23:59:14  tommat
- corrected package group entry in nss_wins package

Revision 1.164.2.12  2003/12/21 23:57:11  tommat
- added nss_wins subpackage

Revision 1.164.2.11  2003/12/21 21:45:40  tommat
- package samba-swat now obsoletes swat (thanks to ankry)
- rel 1.2 to be greater than samba from HEAD

Revision 1.164.2.10  2003/12/19 23:05:30  tommat
- added epoch to provides with vfs modules
- removed turned by defauld configure options
- removed not supported with configure script options
- corrected config dir path
- changed swat package name to samba-swat
- rel 0.2

Revision 1.164.2.9  2003/12/19 16:44:48  tommat
- dont redefine standard vars configure (--with-fhs) uses them

Revision 1.164.2.7  2003/12/13 17:14:38  tommat
- too much options was deleted now it builds

Revision 1.164.2.6  2003/12/13 13:46:14  tommat
- simplified configure parameters, --with-fhs is working properly now
  (according to configure script and samba changelog) and it sets up
  set of parameters.

Revision 1.164.2.5  2003/12/13 13:30:29  tommat
- cosmetics spaces->tabs
- changed package group for winbind
- fixed bconds

Revision 1.164.2.4  2003/12/13 11:29:27  tommat
- adapterized

Revision 1.164.2.3  2003/12/13 11:26:01  tommat
- merged changes from HEAD:
- rc2 source
- new bconds
- added password database subpackages: mysql, xml

Revision 1.164.2.2  2003/12/06 17:19:05  tommat
- updated to 3.0.1rc1 (fixed hosts allow problems) (merged from HEAD)

Revision 1.164.2.1  2003/12/05 14:25:53  tommat
- separated winbindd into new package
- added --with-python configure opts
- added br due to configure --with-python
- removed --with-fhs because is not FHS compilant

Revision 1.164  2003/11/26 15:14:34  arekm
- merged version from SAMBA_3

Revision 1.154.2.26  2003/11/25 22:07:25  speedy
- mistake

Revision 1.154.2.25  2003/11/25 21:38:09  speedy
- release 3
- vfs-scan-mks is only x86

Revision 1.154.2.24  2003/11/20 17:23:26  tommat
- no more omited files. rel up.

Revision 1.154.2.23  2003/11/20 10:17:35  tommat
- added omited files to swat package

Revision 1.154.2.22  2003/11/18 19:03:27  qboosh
- libsmbclient-static cosmetics

Revision 1.154.2.21  2003/11/18 16:25:33  tommat
- corrected libsmbclient library path (according to FHS)
- created new subpackage for libsmbclient static version of the library

Revision 1.154.2.20  2003/11/16 18:49:39  tommat
- corrected source path
- added md5 for source0
- fixed br - now requires libxml2-devel and mysql-extras
- compiliable now but who knows if it works....

Revision 1.154.2.19  2003/11/15 17:10:00  pbern
- up to 3.0.1pre3
- rel 0.1

Revision 1.154.2.18  2003/11/09 20:27:16  qboosh
- one more sparc workaround added to patch
- BR: xfsprogs-devel (for xfs quotas support)

Revision 1.154.2.17  2003/11/09 16:37:29  qboosh
- added statfs-workaround patch (statfs.h workaround for alpha/ppc/sparc)
- cleanups, unifications, don't build empty package

Revision 1.154.2.16  2003/11/05 11:41:27  cieciwa
- added bcond --without ldap and --without krb5.

Revision 1.154.2.15  2003/10/28 20:38:12  inglod
- vfs-vscan-mks Required: mksd

Revision 1.154.2.14  2003/10/20 16:44:57  djrzulf
- fixed, thanks for short circuit :@,

Revision 1.154.2.13  2003/10/05 17:12:51  arekm
- enable kerberos support (and Active Directory support)
- rename/fix openldap bcond/requires
- enable mysql and xml modules (need more work)
- add charset modules

Revision 1.154.2.12  2003/10/01 15:12:55  wiget
- md5

Revision 1.154.2.11  2003/09/29 23:21:42  ankry
- formatting

Revision 1.154.2.10  2003/09/29 21:38:32  pbern
- create vscan-mks and vscan-kavp packages

Revision 1.154.2.9  2003/09/29 21:00:14  pbern
- vscan build ok
- clean

Revision 1.154.2.8  2003/09/25 13:40:09  arekm
- updated to final 3.0.0

Revision 1.154.2.7  2003/09/15 19:06:08  pbern
- remove old patch

Revision 1.154.2.6  2003/09/15 06:39:09  pbern
- rc4
- vscan 0.3.4

Revision 1.154.2.5  2003/09/09 06:38:18  pbern
- update to rc3

Revision 1.154.2.4  2003/08/29 08:52:30  pbern
- update to rc2

Revision 1.154.2.3  2003/08/21 12:03:55  areq
- smb.conf -> /etc/samba

Revision 1.154.2.2  2003/08/20 22:22:04  areq
- #patches

Revision 1.154.2.1  2003/08/20 22:05:44  areq
- start update to  3rc

Revision 1.154  2003/08/14 22:17:46  ankry
- description formatting and other minor description fixes

Revision 1.153  2003/07/30 09:17:11  blues
- more macros

Revision 1.152  2003/07/21 23:11:48  undefine
- clamav now works with unix sockets ;)
- requires clamav for samba-vfs-vscan-clamav
- version 1.6, ready to test

Revision 1.151  2003/07/21 14:12:08  undefine
- add clamav module(modified oav), require clamd running on ip.

Revision 1.150  2003/07/21 09:32:59  qboosh
- pl fixes, BR: libtool

Revision 1.149  2003/07/20 23:46:34  undefine
- vscan requires popt-devel

Revision 1.148  2003/07/20 21:55:21  undefine
- add antivirus modules, ready to tests

Revision 1.147  2003/07/18 22:17:11  undefine
- split samba-vfs-modules into vfs-audit vfs-block vfs-recycle,
  vscan coming soon ;)

Revision 1.146  2003/07/18 00:43:23  undefine
- typo, still not tested

Revision 1.145  2003/07/18 00:40:28  undefine
- add compilation vscan modules

Revision 1.144  2003/07/17 23:45:52  undefine
- hardcode _reallibdir, hgw why it doesn't work as i want.

Revision 1.143  2003/07/17 23:03:36  undefine
- add vfs-modules, not tested yet

Revision 1.142  2003/07/17 22:56:44  undefine
- I know why...

Revision 1.141  2003/07/17 22:21:39  undefine
- why %define	_libdir	%{_sysconfdir} ???

Revision 1.140  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.139  2003/05/25 06:26:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.138  2003/04/09 11:10:38  qboosh
- more specific Requires

Revision 1.137  2003/04/07 17:20:10  pbern
- secure update to 2.2.8a
- bug: http://www.digitaldefense.net/labs/advisories/DDI-1013.txt

Revision 1.136  2003/03/19 12:22:14  qboosh
- added _without_cups bcond

Revision 1.135  2003/03/15 18:19:38  misi3k
- %install fix
- rel 2

Revision 1.134  2003/03/15 17:48:47  misi3k
- secuirty update to 2.2.8
  Bug: A buffer overrun condition exists in the SMB/CIFS packet fragment
  re-assembly code in smbd which would allow an attacker to cause smbd to
  overwrite arbitrary areas of memory in its own process address space. This
  could allow a skilled attacker to inject binary specific exploit code into
  smbd.

Revision 1.133  2003/02/28 10:08:54  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.132  2003/02/14 10:43:19  qboosh
- moved /etc/samba dir to -common

Revision 1.131  2003/02/13 14:05:24  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.130  2002/12/12 10:37:31  orzech
- commented out new manpages - those prgs are not ready yet

Revision 1.129  2002/12/12 09:00:20  orzech
- up to 2.2.7a (LFS support & minor bugfixes)
- added missing manpages
- adapterized

Revision 1.128  2002/12/10 17:21:10  wiget
- typo reported by Piotr Zalewski <peter at dmcs.p.lodz.pl>
- release 3

Revision 1.127  2002/12/10 11:52:22  qboosh
- pl description for cups-backend-smb

Revision 1.126  2002/12/10 11:25:55  wiget
- separate smbspool to cups-backend-smb subpackage
- added findsmb to client subpackage
- added tdbbackup to main package
- release 2

Revision 1.125  2002/12/02 22:09:00  ankry
- pl Summary/description fixes
- adapterized

Revision 1.124  2002/12/02 11:06:26  ankry
- massive cleaning

Revision 1.123  2002/11/20 20:25:38  kloczek
- updated to 2.2.7: security fix that could potentially allow an attacker
  to gain root access on the target machine
  (look at: http://www.samba.org/samba/whatsnew/samba-2.2.7.html)

Revision 1.122  2002/11/18 08:52:08  kloczek
- release 2: merge translations from MIZI.

Revision 1.121  2002/11/17 12:48:53  misiek
- lmhosts readable for everyone

Revision 1.120  2002/10/21 14:22:42  kloczek
- upated to 2.2.6: bug fixes.

Revision 1.119  2002/10/15 09:57:24  orzech
- swat is ipv4 only
- rel7, STBR

Revision 1.118  2002/09/11 15:16:15  areq
- fix %doc

Revision 1.117  2002/07/20 17:54:50  blues
- cleanups in numbers of patches
- activated acl's - not tested, my mashine is suffering from heat...

Revision 1.116  2002/07/18 15:17:02  marcus
- i fixed libmbclient, rel.6.

Revision 1.115  2002/07/18 08:56:14  kloczek
- bump release to 5.

Revision 1.114  2002/06/23 21:04:09  kloczek
- merge translation from TurboLinux.

Revision 1.113  2002/06/23 20:31:28  baseciq
- rel 1 / stbr -> test

Revision 1.112  2002/06/21 09:32:07  ggodlewski
- updated to 2.2.5
- s/\/home\/samba/\/home\/services\/samba/

Revision 1.111  2002/06/13 14:23:48  tiwek
- added CIFS Extenstions patch
- release 2

Revision 1.110  2002/06/13 00:13:08  undefine
- standarize pam modules -> pam_smbpass to pam-pam_smbpass

Revision 1.109  2002/06/07 09:35:39  blues
- few more docs
- updated DESTDIR-fix patch - forgetten commit
  STBR now..

Revision 1.108  2002/06/05 12:29:49  kloczek
- merge translations drom KSI, Conectiva, Kondtra and adapterize spec file.

Revision 1.107  2002/06/04 09:07:57  blues
- added DESTDIR fix patch

Revision 1.106  2002/06/04 08:39:42  blues
- place pid in /var/run

Revision 1.105  2002/06/04 08:14:43  blues
- fix lock dir - samba looks for lock in strange place...

Revision 1.104  2002/06/03 20:56:55  blues
- release 1 - it works for me, why not use it?
- fixed libsmbclient descriptions
  STBR, I think

Revision 1.103  2002/05/25 17:13:49  misiek
- fix libsmbclient requires

Revision 1.102  2002/05/21 23:14:40  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.101  2002/05/21 11:32:59  kloczek
- release 0.4,
- rename libsmbclient{,-devel} to -n libsmbclient{,-devel},
- use new %doc packing automation.

Revision 1.100  2002/05/21 09:43:40  mkochano
- Kurwama

Revision 1.99  2002/05/21 09:10:14  mkochano
- Create /usr/lib.

Revision 1.98  2002/05/21 08:50:02  mkochano
- What a bright idea: %define libdir %{_sysconfdir}...

Revision 1.97  2002/05/21 08:41:45  mkochano
- Corrected requirement.

Revision 1.96  2002/05/20 23:13:15  mkochano
- Release 0.3.
- Added libsmbclient{,-devel} subpackages. I think we'll be able to
  build konqueror with samba support now.

Revision 1.95  2002/05/20 12:34:24  pioklo
- remove outdated patch7 ,rel 0.2 ,STBR -> test

Revision 1.94  2002/05/20 09:09:45  pioklo

- up to 2.2.4
- remove outdated patch vfs modules (patch10)
- remove patch srv_spoolss (patch6)
- relase 0.1
- need test ,  compile ok

Revision 1.93  2002/04/21 09:59:42  misiek
- argh, don't apply v6 patch when without ipv6

Revision 1.92  2002/04/21 09:58:57  misiek
- conditional ipv6 support (disabled by default for now)

Revision 1.91  2002/04/18 15:34:13  misiek
- include docs

Revision 1.90  2002/04/18 15:16:44  misiek
- updated to 2.2.3a + fixed quotas on 2.4.x

Revision 1.89  2002/04/17 21:08:11  hunter
- patch for vfs external modules.

Revision 1.88  2002/04/16 19:19:33  marcus
- changed %make to everything

Revision 1.87  2002/04/15 16:45:20  misiek
- updated to 2.2.3a but requires testing

Revision 1.86  2002/04/14 20:13:05  undefine
- release 4 to rebuild with fixed smb.init

Revision 1.85  2002/04/12 13:45:08  qboosh
- removed make_* from base (they are in -common); release 3

Revision 1.84  2002/02/23 04:32:22  kloczek
- adapterized.

Revision 1.83  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.82  2002/02/15 09:38:05  qboosh
- added (conditional) LDAP support

Revision 1.81  2002/02/08 18:51:49  blues
- release 2
- adapterized
- added conditional start od winbindd

Revision 1.80  2002/02/03 18:46:58  marcus
- winbindd added, STBR

Revision 1.79  2002/02/03 12:52:04  marcus
- updated to 2.2.3 (fixed some memory leaks and fixed Win2000 support)
- rc-script need update for winbindd

Revision 1.78  2002/01/18 08:38:08  qboosh
- s/Administacyjne/Administracyjne/

Revision 1.77  2002/01/18 02:14:51  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.76  2002/01/05 23:01:27  serek
- now :-) builds.

Revision 1.75  2002/01/05 22:55:01  serek
- now builds.

Revision 1.74  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.73  2001/11/24 01:26:38  kloczek
- added samba-swat to Provides, Obsolets in swat subpackage for allow upgrade
  from RH version.

Revision 1.72  2001/10/11 14:06:05  qboosh
- missing pl summary, BuildRequires: autoconf

Revision 1.71  2001/10/08 08:50:31  marcus
- reverted and fixed gzipping %doc (thanks to qboosh)

Revision 1.70  2001/10/07 20:04:34  marcus
- removed gzipping %doc (using rpm automation)

Revision 1.69  2001/10/05 19:14:35  baggins
- release 4
- more debug 0 suckage

Revision 1.68  2001/10/03 01:12:47  baggins
- release 3
- added samba-debug-0-suxorz.patch, some messages should not be at level 0

Revision 1.67  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.66  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.64  2001/07/20 20:37:19  migo
- s/linuxow/linuksow/

Revision 1.63  2001/07/14 23:55:13  kloczek
- release 2: rebuild again on openssl 0.9.6a.

Revision 1.62  2001/07/12 13:31:19  kloczek
- updated to 2.2.1a.

Revision 1.61  2001/07/11 22:09:14  lukasz
- fixed doc section

Revision 1.60  2001/07/11 18:47:40  lukasz
- updated to 2.2.1

Revision 1.59  2001/06/24 14:34:55  lukasz
- 2.2.0a (fixed security bug)

Revision 1.58  2001/05/10 07:33:10  misiek
- added missing BuildRequires: openssl-devel >= 0.9.6a
- release 2

Revision 1.57  2001/04/18 01:03:11  misiek
- typo

Revision 1.56  2001/04/18 00:36:42  misiek
- 2.2.0 (testing package release)

Revision 1.55  2001/04/13 00:53:54  kloczek
- release 29: rebuild against readline 4.2.

Revision 1.54  2001/04/09 08:08:48  mkochano
- Release 28.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.53  2001/04/07 10:34:53  misiek
- adapterized; added defattr; moved doc to common subpackage; stb

Revision 1.52  2001/04/07 01:34:35  martii
- release 27
- samba divided into server, common and client - please verify this is my first spec ...

Revision 1.51  2001/01/03 14:07:01  zagrodzki
- release 26
- added awk_path.patch

Revision 1.50  2000/12/31 16:26:08  jajcus
- Release: 25
- fix of nmbd packet source address selection

Revision 1.49  2000/11/05 20:25:08  kloczek
- release 24: fixed init script (misiek).

Revision 1.48  2000/11/04 13:14:05  kloczek
- release 23,
- merged patches from RH (autoconf, smbadduser, nocups),
- use new rpm automation,
- spec adapterized,
- fixes for standarize %post/%preun.

Revision 1.47  2000/11/04 12:21:59  bszx
- rc-inetd restart/stop changed into rc-inetd reload

Revision 1.46  2000/10/20 23:24:49  misiek
- updated

Revision 1.45  2000/10/14 21:30:08  mkochano
- Release 13.
- Added mksmbpasswd.sh used to convert /etc/passwd to /etc/smbpasswd.

Revision 1.44  2000/07/13 23:21:18  baggins
- release 12
- rebuild with ncurses 5.1

Revision 1.43  2000/07/13 11:23:42  mkochano
- Fixed bug in 'post' section.

Revision 1.42  2000/06/09 07:23:59  kloczek
- added using %{__make} macro.

Revision 1.41  2000/05/05 15:06:00  mis
- Group: synced with PLD groups

Revision 1.40  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.39  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.38  2000/03/23 14:23:14  kloczek
- release 10,
- added nsl patch for linking samba binaries with libnsl (from rawhide),
- added smbprint patch with fixes paths in smbprint script,
- new init script rc-scripts 0.2.0 compliant,
- added %triggerpostun for samba < 1.9.18p7 and samba < 2.0.5a-3 (from RH
  spec),
- build against readline 4.1,
- removved bogus stripping fron %install.

Revision 1.37  2000/02/14 08:49:52  waszi
- fixed symlinks

Revision 1.36  2000/02/03 08:53:47  waszi
- another small changes (pam.d or init.d)

Revision 1.35  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.34  1999/11/29 04:44:20  kloczek
- release 3,
- added manpages_PLD_fixes patch.

Revision 1.33  1999/11/28 17:29:44  kloczek
- added glibc21 patch from rawhide.

Revision 1.32  1999/11/27 00:26:36  kloczek
- added fix_link_libs patch which fix link libraries list for each binary
  (now each binaries depends on only neccessary libraries),
- fixed init script:
  - now this is /bin/sh script,
  - added reload target,
- added making /etc/security in %install,
- added /var/log/archiv/samba directory for archiving by logrotate old log
  giles (modified samba.logrotate for this).

Revision 1.31  1999/11/26 18:54:28  kloczek
- added /etc/security/blacklist.samba file.

Revision 1.30  1999/11/26 17:33:02  jajcus
- some (not so pretty) fixes, so package compiles

Revision 1.29  1999/11/26 13:52:19  kloczek
- added DESTDIR style %install (DESTDIR patch),
- cuted %changelog,
- added noreplace for sysconfig file for samba,
- fiew files separated into Source# files.

Revision 1.28  1999/11/25 13:45:04  pius
- added swat.inetd
- added 'Requires: rc-inted, inetdaemon' to swat subpackage
- added %post{un} scripts for swat subpackage

Revision 1.27  1999/11/25 05:27:45  kloczek
- more doc (added sample config files),
- standarized %post,
- added stripping binaries,
- changed permission on init script to 754,
- some cosmetic changes.

Revision 1.26  1999/11/24 09:51:51  wiget
- added more documentations
- some cleanups

Revision 1.25  1999/11/24 09:04:09  kloczek
- release 2 (in rawhide is 1),
- build against ncurses 5.0,
- more rpm macros,
- %description reformatings and reorders,
- adapter(ized).

Revision 1.24  1999/11/23 23:58:41  wiget
- updated to 2.0.6

Revision 1.23  1999/10/29 22:51:31  wiget
- enable pam support
- added translations from Mandrake

Revision 1.22  1999/08/05 21:58:23  waszi
- upgraded to 2.0.5a

Revision 1.21  1999/07/28 13:31:10  baggins
- stripping binaries

Revision 1.20  1999/07/21 14:33:43  baggins
- fixed %install
- added samba.pamd

Revision 1.19  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/18 14:53:24  baggins
- fixed bogus Group: field
